how to force a .net application to use .net 2.0 ?


D

Daniel

how to force a .net application to use .net 2.0 ?
this windows service is about 4 years old and im pretty sure is using .net
1.x runtime. Is there soem setting in the installer that says to use .net
2.0 instead of .net 1.0? this windows service is developed in visual studio
2002
 
Ad

Advertisements

M

Mattias Sjögren

how to force a .net application to use .net 2.0 ?

You can specify that in the application configuration file, using the
<supportedRuntime> element.


Mattias
 
M

Michael Nemtsev, MVP

Hello Daniel,

Just to add to Mattias's post the compatibilityversion element may be usefull
for this
see the detailed explanation there http://msdn2.microsoft.com/en-us/library/d5cd9b2c.aspx

---
WBR,
Michael Nemtsev [.NET/C# MVP] :: blog: http://spaces.live.com/laflour

"The greatest danger for most of us is not that our aim is too high and we
miss it, but that it is too low and we reach it" (c) Michelangelo


D> how to force a .net application to use .net 2.0 ?
D> this windows service is about 4 years old and im pretty sure is
D> using .net
D> 1.x runtime. Is there soem setting in the installer that says to use
D> .net
D> 2.0 instead of .net 1.0? this windows service is developed in visual
D> studio
D> 2002
 
Ad

Advertisements

G

G Himangi

FYI the version string for .Net 2.0 is "v2.0.50727"

---------
- G Himangi, Sky Software http://www.ssware.com
Shell MegaPack : GUI Controls For Drop-In Windows Explorer like Shell
Browsing Functionality For Your App (.Net & ActiveX Editions).
EZNamespaceExtensions.Net : Develop namespace extensions rapidly in .Net
EZShellExtensions.Net : Develop all shell extensions,explorer bars and BHOs
rapidly in .Net
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Top